Permalink
Browse files

chore(dependencies): switch from es6-shim to core-js (#10884)

  • Loading branch information...
marclaval authored and vicb committed Aug 26, 2016
1 parent fc2fe00 commit 66df335998d097fa8fe46dec41f1183737332021
View
@@ -21,7 +21,7 @@ cp -r ./modules/playground/favicon.ico ./dist/
#rsync -aP ./modules/playground/* ./dist/all/playground/
mkdir ./dist/all/playground/vendor
cd ./dist/all/playground/vendor
ln -s ../../../../node_modules/es6-shim/es6-shim.js .
ln -s ../../../../node_modules/core-js/client/core.js .
ln -s ../../../../node_modules/zone.js/dist/zone.js .
ln -s ../../../../node_modules/zone.js/dist/long-stack-trace-zone.js .
ln -s ../../../../node_modules/systemjs/dist/system.src.js .
View
@@ -13,7 +13,7 @@ module.exports = function(config) {
// Loaded through the System loader, in `test-main.js`.
{pattern: 'dist/all/@angular/**/*.js', included: false, watched: true},
'node_modules/es6-shim/es6-shim.js',
'node_modules/core-js/client/core.js',
// include Angular v1 for upgrade module testing
'node_modules/angular/angular.min.js',
@@ -89,4 +89,4 @@ Depending on if you are using Angular bundles or not you can either use RxJS bun
## ES6 shims (optional)
Users of pre-ES6 browsers might need to add an ES6 shim (e.g. [es6-shim](https://github.com/paulmillr/es6-shim))
Users of pre-ES6 browsers might need to add an ES6 shim (e.g. [core-js](https://github.com/zloirock/core-js))
@@ -8,7 +8,7 @@
// Index to be used if Http is ever configured as a standalone npm package.
// require('reflect-metadata');
// require('es6-shim');
// require('core-js');
// import {HTTP_PROVIDERS, JSONP_PROVIDERS, Http, Jsonp} from './http';
// import {Injector} from '@angular/core';
// export * from './http';
@@ -1,17 +0,0 @@
{
"name": "angular2",
"version": "<%= packageJson.version %>",
"description": "Angular 2 - a web framework for modern web apps",
"homepage": "<%= packageJson.homepage %>",
"bugs": "<%= packageJson.bugs %>",
"contributors": <%= JSON.stringify(packageJson.contributors) %>,
"license": "<%= packageJson.license %>",
"repository": <%= JSON.stringify(packageJson.repository) %>,
"devDependencies": <%= JSON.stringify(packageJson.defaultDevDependencies) %>,
"peerDependencies": {
"es6-shim": "<%= packageJson.dependencies['es6-shim'] %>",
"reflect-metadata": "<%= packageJson.dependencies['reflect-metadata'] %>",
"rxjs": "<%= packageJson.dependencies['rxjs'] %>",
"zone.js": "<%= packageJson.dependencies['zone.js'] %>"
}
}
@@ -10,7 +10,7 @@ module.exports = function(config) {
files: [
// Polyfills.
'node_modules/es6-shim/es6-shim.js',
'node_modules/core-js/client/core.js',
'node_modules/reflect-metadata/Reflect.js',
'shims_for_IE.js',
@@ -9,7 +9,7 @@ module.exports = function (config) {
frameworks: ['jasmine'],
files: [
'../../node_modules/es6-shim/es6-shim.js',
'../../node_modules/core-js/client/core.js',
'../../node_modules/angular/angular.js',
'../../node_modules/angular-animate/angular-animate.js',
'../../node_modules/angular-mocks/angular-mocks.js',
@@ -7,7 +7,7 @@
*/
require('reflect-metadata');
require('es6-shim');
require('core-js');
module.exports = require('./benchpress.js');
// when bundling benchpress to one file, this is used
// for getting exports out of browserify's scope.
@@ -10,7 +10,7 @@
"repository": <%= JSON.stringify(packageJson.repository) %>,
"dependencies": {
"angular2": "<%= packageJson.version %>",
"es6-shim": "<%= packageJson.dependencies['es6-shim'] %>",
"core-js": "<%= packageJson.dependencies['core-js'] %>",
"reflect-metadata": "<%= packageJson.dependencies['reflect-metadata'] %>",
"rxjs": "<%= packageJson.dependencies['rxjs'] %>",
"selenium-webdriver": "<%= packageJson.dependencies['selenium-webdriver'] %>",
@@ -6,7 +6,7 @@
* found in the LICENSE file at https://angular.io/license
*/
require('es6-shim/es6-shim.js');
require('core-js');
require('reflect-metadata');
var testHelper = require('../../src/firefox_extension/lib/test_helper.js');
@@ -9,7 +9,7 @@
(function(global: any /** TODO #9100 */) {
writeScriptTag('/all/playground/vendor/es6-shim.js');
writeScriptTag('/all/playground/vendor/core.js');
writeScriptTag('/all/playground/vendor/zone.js');
writeScriptTag('/all/playground/vendor/long-stack-trace-zone.js');
writeScriptTag('/all/playground/vendor/system.src.js');
@@ -1,4 +1,4 @@
importScripts("../../../vendor/es6-shim.js",
importScripts("../../../vendor/core.js",
"../../../vendor/zone.js",
"../../../vendor/long-stack-trace-zone.js",
"../../../vendor/system.src.js",
@@ -1,4 +1,4 @@
importScripts("../../../vendor/es6-shim.js",
importScripts("../../../vendor/core.js",
"../../../vendor/zone.js",
"../../../vendor/long-stack-trace-zone.js",
"../../../vendor/system.src.js",
@@ -1,4 +1,4 @@
importScripts("../../../vendor/es6-shim.js",
importScripts("../../../vendor/core.js",
"../../../vendor/zone.js",
"../../../vendor/long-stack-trace-zone.js",
"../../../vendor/system.src.js",
@@ -1,4 +1,4 @@
importScripts("../../../vendor/es6-shim.js",
importScripts("../../../vendor/core.js",
"../../../vendor/zone.js",
"../../../vendor/long-stack-trace-zone.js",
"../../../vendor/system.src.js",
@@ -1,4 +1,4 @@
importScripts("../../../vendor/es6-shim.js",
importScripts("../../../vendor/core.js",
"../../../vendor/zone.js",
"../../../vendor/long-stack-trace-zone.js",
"../../../vendor/system.src.js",
@@ -1,4 +1,4 @@
importScripts("../../../vendor/es6-shim.js",
importScripts("../../../vendor/core.js",
"../../../vendor/zone.js",
"../../../vendor/long-stack-trace-zone.js",
"../../../vendor/system.src.js",
@@ -1882,7 +1882,7 @@
"version": "1.0.0"
},
"core-js": {
"version": "2.4.0"
"version": "2.4.1"
},
"core-object": {
"version": "0.0.2"
@@ -2116,9 +2116,6 @@
"es6-module-loader": {
"version": "0.17.9"
},
"es6-shim": {
"version": "0.35.0"
},
"es6-symbol": {
"version": "3.0.2"
},
View

Some generated files are not rendered by default. Learn more.

Oops, something went wrong.
View
@@ -18,7 +18,7 @@
"postinstall": "node tools/npm/copy-npm-shrinkwrap && webdriver-manager update"
},
"dependencies": {
"es6-shim": "^0.35.0",
"core-js": "^2.4.1",
"reflect-metadata": "^0.1.3",
"rxjs": "5.0.0-beta.11",
"zone.js": "^0.6.17"
@@ -4,7 +4,7 @@ var glob = require('glob');
require('zone.js/dist/zone-node.js');
var JasmineRunner = require('jasmine');
var path = require('path');
// require('es6-shim/es6-shim.js');
// require('core-js');
require('zone.js/dist/long-stack-trace-zone.js');
require('zone.js/dist/proxy.js');
require('zone.js/dist/sync-test.js');
@@ -5,7 +5,7 @@ require('zone.js/dist/zone-node.js');
var JasmineRunner = require('jasmine');
var path = require('path');
require('source-map-support').install();
// require('es6-shim/es6-shim.js');
// require('core-js');
require('zone.js/dist/long-stack-trace-zone.js');
require('zone.js/dist/proxy.js');
require('zone.js/dist/sync-test.js');

0 comments on commit 66df335

Please sign in to comment.